petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscLogEventSetDof

Set the nth number of degrees of freedom associated with this event

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventSetDof(PetscLogEvent event, PetscInt n, PetscLogDouble dof)

Not Collective

### Input Parameters

| event | - The event id to log
| n | - The dof index, in [0, 8)
| dof | - The number of dofs

### Database Options

-log_view -Activates log summary

Note: This is to enable logging of convergence

### See Also

PetscLogEventSetError(), PetscEventRegLogRegister(), PetscStageLogGetEventLog()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c

### Examples

src/snes/tutorials/ex5.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages